# $Revision: 1.27 $, $Date: 2005/08/22 11:53:05 $
# TODO: switch to 3.4.3 after Ac (not ready for gcc 4 yet)
%define GPC_VERSION	20050331
%define GCC_VERSION	3.3.6

Summary:	GNU Pascal Compiler
Summary(pl):	Kompilator Pascala GNU
Name:		gpc
Version:	%{GPC_VERSION}
Release:	2
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{GCC_VERSION}/gcc-%{GCC_VERSION}.tar.bz2
# Source0-md5:	6936616a967da5a0b46f1e7424a06414
Source1:	http://www.g-n-u.de/gpc/%{name}-%{version}.tar.bz2
# Source1-md5:	cdc1460ba7b3cc099d404c5fa1202f8a
Patch0:		gcc-cmpi.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-range.patch
URL:		http://www.gnu-pascal.de/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	help2man
BuildRequires:	rpmbuild(macros) >= 1.213
#Requires:	gcc-dirs
Requires:	gcc = 5:%{GCC_VERSION}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Pascal compiler based on the gcc %{GCC_VERSION} compiler.

GNU Pascal is part of the GNU compiler family, GNU CC or GCC. It
combines a Pascal front-end with the proven GNU C back-end for code
generation and optimization. Unlike utilities such as p2c, this is a
true compiler, not just a converter.

%description -l pl
Kompilator Pascala oparty o wersj %{GCC_VERSION} kompilatora gcc.

GNU Pascal stanowi cz rodziny kompilatorw GNU, GNU CC lub GCC.
czy on w sobie nakadk pascalow ze sprawdzonym w GNU C wewntrznym
mechanizmem generacji kodu i optymalizacji. W odrnieniu od narzdzi
takich jak p2c, jest to prawdziwy kompilator, a nie tylko konwerter.

%prep
%setup -q -n gcc-%{GCC_VERSION} -a 1
%patch0 -p1
#patch -s -p0 < p/diffs/gcc-%{GCC_VERSION}.diff
patch -s -p0 < p/diffs/gcc-3.3.5.diff
mv p gcc
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
cp -f /usr/share/automake/config.sub boehm-gc
#cd gcc
#%{__autoconf}
#cd ..
rm -rf obj-%{_target_platform}
install -d obj-%{_target_platform}
cd obj-%{_target_platform}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--infodir=%{_infodir} \
	--enable-shared \
%ifarch %{x8664}
	--disable-multilib \
%endif
%ifnarch sparc sparc64
	--enable-threads=posix \
	--enable-haifa \
%endif
	--with-gnu-as \
	--with-gnu-ld \
	--disable-nls \
	--build=%{_target_platform} \
	--host=%{_target_platform} \
	--enable-languages=pascal

PATH=$PATH:/sbin:%{_sbindir}
touch ../gcc/c-gperf.h

cd ..
%{__make} -C obj-%{_target_platform} bootstrap \
	LDFLAGS_FOR_TARGET="%{rpmldflags}" \
	mandir=%{_mandir} \
	infodir=%{_infodir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib,%{_datadir}}

cd obj-%{_target_platform}
PATH=$PATH:/sbin:%{_sbindir}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	libexecdir=$RPM_BUILD_ROOT%{_libexecdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc gcc/p/{AUTHORS,ChangeLog,FAQ,NEWS,README}
#%doc gcc/p/demos
%attr(755,root,root) %{_bindir}/binobj
%attr(755,root,root) %{_bindir}/gpc
%attr(755,root,root) %{_bindir}/gpc-run
%attr(755,root,root) %{_bindir}/gpidump
# common gcc stuff, not needed here if we use the same gcc version
#%dir %{_libdir}/gcc-lib/%{_target_cpu}*/*
#%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_cpu}*/*/crt*.o
#%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_cpu}*/*/collect2
#%dir %{_libdir}/gcc-lib/%{_target_cpu}*/*/include
#%{_libdir}/gcc-lib/%{_target_cpu}*/*/include/...
#%{_libdir}/gcc-lib/%{_target_cpu}*/*/libgcc.a
%attr(755,root,root) %{_libdir}/gcc-lib/%{_target_cpu}*/*/gpc*
%{_libdir}/gcc-lib/%{_target_cpu}*/*/include/gpc-in-c.h
%{_libdir}/gcc-lib/%{_target_cpu}*/*/units
%{_libdir}/gcc-lib/%{_target_cpu}*/*/libgpc.a
%{_infodir}/gpc.info*
%{_infodir}/gpcs.info*
%lang(de) %{_infodir}/gpcs-de.info*
%lang(es) %{_infodir}/gpcs-es.info*
%lang(hr) %{_infodir}/gpcs-hr.info*
%{_mandir}/man1/binobj.1*
%{_mandir}/man1/gpc.1*
%{_mandir}/man1/gpc-run.1*
%{_mandir}/man1/gpidump.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpc.spec,v $
Revision 1.27  2005/08/22 11:53:05  havner
- rebuild against gcc 3.3.6
- rel 2

Revision 1.26  2005/06/20 08:17:40  qboosh
- use gcc 3.3.6 (gpc patch for 3.3.5 still applies)

Revision 1.25  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.24  2005/04/29 20:28:50  qboosh
- added range patch (fixes crash in rts on sparc)

Revision 1.23  2005/04/29 17:18:08  qboosh
- include gpc-specific header

Revision 1.22  2005/04/29 14:57:23  qboosh
- BR: help2man

Revision 1.21  2005/04/29 14:21:38  qboosh
- updated to 20050331 with gcc 3.3.5 (for Ac); use common files from gcc
- added info patch

Revision 1.20  2004/10/08 13:19:09  ankry
- added gcc-cmpi.patch (ppc build fix)

Revision 1.19  2004/10/08 09:53:43  qboosh
- attr cleanup

Revision 1.18  2004/10/08 04:53:53  ankry
- R: gcc-dirs, rel 5

Revision 1.17  2004/10/04 01:23:14  ankry
- missing dir, rel. 4; shouldn't it require gcc? (dirs)

Revision 1.16  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.15  2004/09/13 10:26:44  ankry
- spaces -> tabs

Revision 1.14  2004/09/13 09:26:36  jajcus
- AMD64 fixes: multilib disabled and %{_libdir} passed to configure and make

Revision 1.13  2004/08/18 10:31:48  undefine
- copy config.sub

Revision 1.12  2003/11/18 22:53:07  undefine
- fix url

Revision 1.11  2003/11/18 02:48:05  undefine
- update to snapshot 20030830

Revision 1.10  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.9  2003/08/18 20:43:19  undefine
- release 1, stb

Revision 1.8  2003/08/18 20:16:36  undefine
- regenerating autoconf doesn't work

Revision 1.7  2003/08/18 07:59:52  qboosh
- fix-info-dir must be in postun, not preun

Revision 1.6  2003/08/18 07:58:39  qboosh
- killed subshell

Revision 1.5  2003/08/15 13:48:53  ankry
- pl description fix

Revision 1.4  2003/08/15 12:16:58  ankry
- pl translations

Revision 1.3  2003/08/15 11:35:03  undefine
- update to GPC_VERSION 20030507 and GCC_VERSION 3.2.1

Revision 1.2  2003/08/15 00:36:27  undefine
- fix post/pre scripts

Revision 1.1  2003/08/14 23:43:11  undefine
- initial pld version, nfy

* Sat Jul 17 1999 Peter Soos <sp@osb.hu>
- Rebuilt under RedHat Linux 6.0 with egcs
* Wed May 13 1999 Jos Romildo Malaquias <romildo@iceb.ufop.br>
- first build
